commit 38772ceddcbcdb27d47828286e0829aafa01ea7d
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Nov 27 01:18:14 2021

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 045d8fc9bc8..22f794c7a9c 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20211126
+20211127
diff --git a/gcc/d/ChangeLog b/gcc/d/ChangeLog
index 32c6a5e0cdc..921d12f9aaa 100644
--- a/gcc/d/ChangeLog
+++ b/gcc/d/ChangeLog
@@ -1,3 +1,8 @@
+2021-11-26  Martin Liska  <mliska@suse.cz>
+
+	* d-attribs.cc (parse_optimize_options): Check index before
+	accessing cl_options.
+
 2021-11-18  Iain Buclaw  <ibuclaw@gdcproject.org>
 
 	Backported from master:
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index 7b60ae8e803..dff7d33a507 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,34 @@
+2021-11-26  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-11-26  Jonathan Wakely  <jwakely@redhat.com>
+
+	* testsuite/29_atomics/atomic_float/1.cc: Reorder directives.
+
+2021-11-26  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-11-26  Jonathan Wakely  <jwakely@redhat.com>
+
+	* testsuite/23_containers/unordered_map/modifiers/move_assign.cc:
+	Change dg-do compile to run.
+	* testsuite/27_io/basic_istream/extractors_character/wchar_t/lwg2499.cc:
+	Likewise.
+
+2021-11-26  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-11-25  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/96416
+	* include/bits/ptr_traits.h (pointer_traits): Remove
+	static_assert checking for valid element_type.
+	(pointer_traits::element_type, pointer_traits::pointer_to):
+	Do not define when element type cannot be deduced.
+	* testsuite/20_util/pointer_traits/lwg3545.cc: New test.
+	* testsuite/20_util/to_address/1_neg.cc: Adjust dg-error line.
+	* testsuite/20_util/to_address/lwg3545.cc: New test.
+
 2021-11-25  Jonathan Wakely  <jwakely@redhat.com>
 
 	Backported from master:

